Multivariate Pattern Analysis in Python

# mvpa2.datasets.miscfx.remove_nonfinite_features

`mvpa2.datasets.miscfx.``remove_nonfinite_features`(dataset)

  Returns a new dataset with all non-finite (NaN,Inf) features removed

  Removes all feature for which not all values are finite

  Parameters:

  dataset : Dataset

  > Input dataset

  Returns:

  finite_dataset: Dataset

  > Dataset based on data form the input, but only the features for which all samples are finite are kept.